aboutsummaryrefslogtreecommitdiff
path: root/plugins-scripts/check_sensors.sh
diff options
context:
space:
mode:
authorGravatar Gabriele Tozzi <gabriele@tozzi.eu> 2013-05-19 03:00:57 +0200
committerGravatar Gabriele Tozzi <gabriele@tozzi.eu> 2013-05-19 04:24:21 +0200
commit774647f60ccee69f0cd033b5411e36441f03c84a (patch)
treefd78aa4b98d146ec22ee2022104fc689cd96d5d1 /plugins-scripts/check_sensors.sh
parent1fd504b6117af25d3baa0c1afc5dbf7fc3c66f2c (diff)
downloadmonitoring-plugins-774647f60ccee69f0cd033b5411e36441f03c84a.tar.gz
Made verbose output of check_sensors compilant
Diffstat (limited to 'plugins-scripts/check_sensors.sh')
-rwxr-xr-xplugins-scripts/check_sensors.sh33
1 files changed, 18 insertions, 15 deletions
diff --git a/plugins-scripts/check_sensors.sh b/plugins-scripts/check_sensors.sh
index ffaa9748..874e1049 100755
--- a/plugins-scripts/check_sensors.sh
+++ b/plugins-scripts/check_sensors.sh
@@ -44,25 +44,28 @@ case "$1" in
*)
sensordata=`sensors 2>&1`
status=$?
- if test "$1" = "-v" -o "$1" = "--verbose"; then
- echo ${sensordata}
- fi
if test ${status} -eq 127; then
- echo "SENSORS UNKNOWN - command not found (did you install lmsensors?)"
- exit $STATE_UNKNOWN
+ text="SENSORS UNKNOWN - command not found (did you install lmsensors?)"
+ exit=$STATE_UNKNOWN
elif test ${status} -ne 0; then
- echo "WARNING - sensors returned state $status"
- exit $STATE_WARNING
- fi
- if echo ${sensordata} | egrep ALARM > /dev/null; then
- echo SENSOR CRITICAL - Sensor alarm detected!
- exit $STATE_CRITICAL
+ text="WARNING - sensors returned state $status"
+ exit=$STATE_WARNING
+ elif echo ${sensordata} | egrep ALARM > /dev/null; then
+ text="SENSOR CRITICAL - Sensor alarm detected!"
+ exit=$STATE_CRITICAL
elif echo ${sensordata} | egrep FAULT > /dev/null \
&& test "$1" != "-i" -a "$1" != "--ignore-fault"; then
- echo SENSOR UNKNOWN - Sensor reported fault
- exit $STATE_UNKNOWN
+ text="SENSOR UNKNOWN - Sensor reported fault"
+ exit=$STATE_UNKNOWN
+ else
+ text="SENSORS OK"
+ exit=$STATE_OK
fi
- echo sensor ok
- exit $STATE_OK
+
+ echo "$text"
+ if test "$1" = "-v" -o "$1" = "--verbose"; then
+ echo ${sensordata}
+ fi
+ exit $exit
;;
esac